# voson dashboard shiny app server

# server libraries
library(igraph)
library(SnowballC)
library(tm)
library(lattice)
library(wordcloud)
library(vosonSML)

# server helper files
source("utils.R", local = TRUE)
source("sml.R", local = TRUE)

#### shiny server ----------------------------------------------------------------------------------------------------- #
shinyServer(function(input, output, session) {
  
  #### network graphs ####
  source("networkGraphsServer.R", local = TRUE)

  #### text analysis ####
  source("textAnalysisServer.R", local = TRUE)

  #### network metrics ####
  source("networkMetricsServer.R", local = TRUE)  
  
  #### assortativity ####
  source("assortativityServer.R", local = TRUE)

  #### twitter ####
  source("twitterServer.R", local = TRUE)
  
  #### youtube ####
  source("youtubeServer.R", local = TRUE)
  
  #### api keys ####
  source("apiKeysServer.R", local = TRUE)
    
}) #### end shinyServer
